/*
 Joan Soler-Adillon
 http://www.joan.cat/
 Realitat Virtual || Realidad Virtual - Processing
 MÃ ster en Arts Digitals, UPF
 MarÃ§ 2010
 */

//creamos las variables necesarias
float generador = 0;//angulo
int szBig = 9;
//esto es simplemente la altura a la que dibujaremos las ondas
int alturaSen = 50;
int alturaCos = 150;


void setup(){
  size(500,200);
  //preparamos el dibujo
  smooth();
  stroke(255);
  strokeWeight(3);
  frameRate(30);
}

void draw(){
  background(0);
  //para cada lÃ­nea en lo vertical
  for(int i=0;i<width;i++){
    //Creamos un valor segÃºn el sino y cosino del generador
    float valorSen = sin(generador);
    float valorCos = cos(generador);
    //aumentamos el generadors (~ frecuencia de onda)
    generador += 0.1;
    //nos aseguramos que el valor del generador no sea superior a 2*PI,
    //que es lo que ocupa una circumferencia en radianes
    //if(generador>=TWO_PI)generador=0;
    //multiplicamos los valores (= amplitud de onda)
    valorSen *= 20;
    valorCos *= 10;
    //dibujamos los puntos que haran las ondas sinusoidales 
    point(i,alturaSen+valorSen);
    point(i,alturaCos+valorCos);
    //y unas elipses que bailen!
    if(i==width/2){
      ellipse(width/2,alturaSen+valorSen,szBig,szBig);
      ellipse(width/2,alturaCos+valorCos,szBig,szBig);
    }  
  }
}

//para parar y observar:
void mousePressed(){
  noLoop();
  stroke(127);
  strokeWeight(1);
  for(int i=0; i < width; i += 25){
    line(i,0,i,height); 
  }
}
void mouseReleased(){
  stroke(255);
  strokeWeight(3);
  loop(); 
}







